
Foreman - Bug #4669

HostMailer summary method refers to undefined variable 'env'

03/15/2014 12:27 AM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: E-Mail   

Target version: 1.4.2   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In:

raise (_("unable to find any hosts for puppet environment=%s") % env) if envhosts.size == 0

 "env" isn't defined.  It should be options[:env].

Associated revisions

Revision 7966448c - 03/17/2014 10:11 AM - Stephen Benjamin

fixes #4669 - HostMailer summary method refers to undefined variable

Revision f892b463 - 03/17/2014 01:48 PM - Stephen Benjamin

fixes #4669 - HostMailer summary method refers to undefined variable

(cherry picked from commit 7966448c3cf6ae6194e6800e570668d3c65d2c25)

History

#1 - 03/15/2014 12:30 AM - Stephen Benjamin

PR https://github.com/theforeman/foreman/pull/1299

#2 - 03/17/2014 09:34 AM - Dominic Cleal

- translation missing: en.field_release set to 7

#3 - 03/17/2014 10:31 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from Ready For Testing to Closed

Applied in changeset 7966448c3cf6ae6194e6800e570668d3c65d2c25.
